Skip to main content
POST
/
v2
/
annotation-queues
/
{annotation_queue_id}
/
records
Create annotation queue records
curl --request POST \
  --url https://api.arize.com/v2/annotation-queues/{annotation_queue_id}/records \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "record_sources": [
    {
      "record_type": "span",
      "project_id": "proj_abc123",
      "start_time": "2024-01-15T00:00:00Z",
      "end_time": "2024-01-15T23:59:59Z",
      "span_ids": [
        "span_abc123",
        "span_def456"
      ]
    }
  ]
}
'
{
  "record_sources": [
    {
      "id": "aqr_001",
      "annotation_queue_id": "aq_abc123",
      "source_type": "spans",
      "data": {
        "input": "What is the capital of France?",
        "output": "Paris"
      },
      "annotations": [],
      "evaluations": [],
      "assigned_users": [
        {
          "user": {
            "id": "usr_123",
            "email": "reviewer@example.com"
          },
          "completion_status": "pending"
        }
      ]
    },
    {
      "id": "aqr_002",
      "annotation_queue_id": "aq_abc123",
      "source_type": "dataset",
      "data": {
        "input": "Summarize this article in one sentence.",
        "output": "The article discusses climate change impacts."
      },
      "annotations": [],
      "evaluations": [],
      "assigned_users": [
        {
          "user": {
            "id": "usr_123",
            "email": "reviewer@example.com"
          },
          "completion_status": "pending"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

annotation_queue_id
string
required

The unique identifier of the annotation queue A universally unique identifier

Example:

"RW50aXR5OjEyMzQ1"

Body

application/json

Body containing records to add to an annotation queue

record_sources
object[]
required

Record sources to add to the annotation queue. At most 2 record sources (projects or datasets) may be provided in a single request.

Required array length: 1 - 2 elements

Response

Returns the created annotation queue records

record_sources
object[]
required

The created annotation queue records